AUTOUNMOUNTD(8) | System Manager's Manual | AUTOUNMOUNTD(8)

# NAME

`autounmountd` —
daemon unmounting automounted file systems

# SYNOPSIS

`autounmountd` | [`-r` time] [`-t` time] [`-dv`]

# DESCRIPTION

The `autounmountd` daemon is responsible for unmounting file systems mounted by automountd(8). On startup, `autounmountd` retrieves a list of file systems that have the `automounted` mount option set. The list is updated every time a file system is mounted or unmounted. After a specified time passes, `autounmountd` attempts to unmount a file system, retrying after some time if necessary.

These options are available:

`-d`
  Debug mode: increase verbosity and do not daemonize.
`-r`
  Number of seconds to wait before trying to unmount an expired file system after a previous attempt failed, possibly due to file system being busy. The default value is 600, or ten minutes.
`-t`
  Number of seconds to wait before trying to unmount a file system. The default value is 600, or ten minutes.
`-v`
  Increase verbosity.

# EXIT STATUS

The `autounmountd` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

auto_master(5), autofs(5), automount(8), automountd(8)

# HISTORY

The `autounmountd` daemon appeared in FreeBSD 10.1. The `autounmountd` daemon appeared in DragonFly 4.5. The `autounmountd` command appeared in NetBSD 9.0.

# AUTHORS

The `autounmountd` was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.

`autounmountd` was ported to DragonFly and NetBSD by Tomohiro Kusumi <kusumi.tomohiro@gmail.com>.

November 25, 2017 | NetBSD 9.0